Package org.eclipse.jgit.transport

## Enum TransportProtocol.URIishField

- java.lang.Object
- - java.lang.Enum<TransportProtocol.URIishField>
  - - org.eclipse.jgit.transport.TransportProtocol.URIishField

All Implemented Interfaces:
  `Serializable`, `Comparable<TransportProtocol.URIishField>`

Enclosing class:
  TransportProtocol

    public static enum TransportProtocol.URIishField
    extends Enum<TransportProtocol.URIishField>

Fields within a `URIish` that a transport uses.

### Enum Constant Summary

Enum Constants
`HOST` the host field
`PASS` the pass (aka password) field
`PATH` the path field
`PORT` the port field
`USER` the user field

### Method Summary

All Methods Static Methods Concrete Methods
`static TransportProtocol.URIishField` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TransportProtocol.URIishField[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USER

    public static final TransportProtocol.URIishField USER

the user field

#### PASS

    public static final TransportProtocol.URIishField PASS

the pass (aka password) field

#### HOST

    public static final TransportProtocol.URIishField HOST

the host field

#### PORT

    public static final TransportProtocol.URIishField PORT

the port field

#### PATH

    public static final TransportProtocol.URIishField PATH

the path field

### Method Detail

#### values

    public static TransportProtocol.URIishField[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransportProtocol.URIishField c : TransportProtocol.URIishField.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransportProtocol.URIishField valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null